Stop or finish watching in a media center

🔒 OAuth Required

Use this method when the video is stopped or finishes playing on its own. If the progress is above 80%, the video will be scrobbled and the action will be set to scrobble. A unique history id (64-bit integer) will be returned and can be used to reference this scrobble directly.

If the progress is between 1% and 79%, it will be treated as a pause and the action will be set to pause. The playback progress will be saved and /sync/playback can be used to resume the video from this exact position.

Note

If the progress is less than 1%, you'll get a 422 HTTP status code response and the scrobble will be ignored.

JSON POST Data

KeyTypeValue
item *objectmovie or episode object. (see examples ->)
progress *flloatProgress percentage between 0 and 100.

Note

If the same item was just scrobbled, a 409 HTTP status code will returned to avoid scrobbling a duplicate. The response will contain a watched_at timestamp when the item was last scrobbled and a expires_at timestamp when the item can be scrobbled again.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Body

float
required
movie
object | null
Response

Language
Credentials
Required Scopes
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json